#library{gplots}
drawChart<-function(competencesMatrix, intendedScoreMatrix, title, studentsNo, TeachersNo, competencesNo)
{

  mat <- as.matrix(competencesMatrix[ ,2:(competencesNo+1)])
  rownames(mat) <- t(competencesMatrix[,1])
  
  par(xpd=T, mar=c(11,4,4,14), las=1)
  colours<-c(rgb(36, 76, 78, max=255), 
             rgb(197,171,81, max=255), 
             rgb(156, 10, 0, max=255))
  
  chart <- barplot(mat, main=title, beside=TRUE, horiz=F, col=colours, 
                   xlab = "Competences", ylab="Levels",  ylim=c(0,6), cex.lab=0.8,
                   cex.axis = 1, cex=0.7, cex.main= 0.9, cex.names = 1,
                   axisnames=F, space=c(0,0.5))
  
  #Draws the competences names
  axis(1, at=seq(2,2+3.5*(competencesNo-1), by=3.5), labels=as.vector(colnames(mat)),outer=TRUE, pos=c(-0.6,0), tick=F, cex.axis=0.7)
  
  #Draws the legend
  legend(19,1.5, legend=c("Intended competence level", t(competencesMatrix)[1,]), fill=c(rgb(255,192,0, max=255), colours), cex=0.7, ncol=1)
  
  #Draws the intended score bars
  #par(lheight=0.2)
  y = intendedScoreMatrix[1,]
  x = seq(1.95,15.95, by=3.5)
  
  #points(x, y,cex=8.55, col=rgb(255,192,0, max=255), bg=rgb(255,192,0, max=255), pch="-", lwd=0.1)
  for (i in 1:competencesNo) {
    arrows(0.5+3.5*(i-1),y[i],0.5+3.5*(i-1)+3,y[i],code=0,col=rgb(255,192,0, max=255), lwd=2)
  }
}