################
### FUNCTION ###
################

changeVarLabs <- function(my.string){
  
  # PREMIEREMENT: remplacer id avec no
  my.string[grep("id", my.string)] <- "no"
  
  # remove first letter at some vars
  old <- c("ssex","sage","thours","tnostu","taspe")
  f.letter <- unlist(lapply(1:length(old), function(i) grep(old[i], my.string)))
  
  my.string[f.letter] <- substr(my.string[f.letter], 2, nchar(my.string[f.letter]))
  
  # DEUXIEMEMENT: supprimer les crochets des "quizzes"
  
  # subset to quiz columns without "info" or "Time"
  deux <- my.string[grepl("quiz*", my.string) & !grepl("info", my.string) & !grepl("Time", my.string)]
  
  # remove brackets
  deux <- paste(substr(deux, 1, 6),
                substr(deux, 8, 8),
                sep = "")
  
  # reassign
  my.string[grepl("quiz*", my.string) & !grepl("info", my.string) & !grepl("Time", my.string)] <- deux
  
  
  # TROISIEMEMENT: first block of vars
  trois.vec <- rep(F, length(my.string))
  
  # search for a1s ... etc.
  trois.vec[grep("(a[0-9]){1}s", my.string)] <- T
  
  # exclude names with ... com
  trois.vec[grep("(a[0-9])*com", my.string)] <- F
  
  # search for 1s
  trois.vec_1 <- grep(T, trois.vec)[grep(T, substr(my.string[trois.vec], 10, 10) == 1)]
  trois.vec_2 <- grep(T, trois.vec)[grep(T, substr(my.string[trois.vec], 10, 10) == 2)]
  
  # add "s" to what was [1]
  my.string[trois.vec_1] <- paste(my.string[trois.vec_1], "s")
  
  # add "t" to what was [2]
  my.string[trois.vec_2] <- paste(my.string[trois.vec_2], "t")
  
  # remove brackets and change order
  my.string[trois.vec] <- paste(substr(my.string[trois.vec], 1, 2),
                                substr(my.string[trois.vec], 5, 6),
                                substr(my.string[trois.vec], 3, 3),
                                substr(my.string[trois.vec], 13, 13),
                                substr(my.string[trois.vec], 7, 7),
                                sep = "")
  
  # QUATRIEMEMENT: second block of vars
  quatre.vec <- rep(F, length(my.string))
  
  # search for a1s ... etc.
  quatre.vec[grep("(a[0-9]){1}t", my.string)] <- T
  
  # exclude names with ... com
  quatre.vec[grep("(a[0-9])*com", my.string)] <- F
  
  # change order, removing brackets
  my.string[quatre.vec] <- paste(substr(my.string[quatre.vec], 1, 2),
                                 substr(my.string[quatre.vec], 5, 6),
                                 substr(my.string[quatre.vec], 3, 3),
                                 substr(my.string[quatre.vec], 8, 8),
                                 substr(my.string[quatre.vec], 7, 7),
                                 sep = "")
  

  return(my.string)
}

######################
### IMPLEMENTATION ###
######################

library(xlsx)
library(readxl)

# file <- "./data/Original_data.xlsx"
file <- list.files(path = "./data/Original Data/",
                   pattern="*.xlsx",
                   full.names = T)

# include only necessary variables!

my.string <- names(read_excel(file, 1))

nu.string <- changeVarLabs(my.string = my.string)  


wb <- xlsx::loadWorkbook(file)
sheets <- xlsx::getSheets(wb)
rows <- xlsx::getRows(sheets[[1]])
cells <- xlsx::getCells(rows[1])

# only if cVL object is specified to be TRUE (cf. Report.Rmd)
if(!cVL){
  mapply(setCellValue, cells, nu.string)
  
  xlsx::saveWorkbook(wb, "./data/Survey.xlsx")
}


