library(readxl)

transposeCompetenceMatrix<-function(excelFileName, sheetNo, areaName, groupNo, competenceType, competences, competencesNo)
{
  tabstexcel<-read_excel(excelFileName, sheetNo)
  tabstexcelfilt<-tabstexcel[tabstexcel$resp==1,]
  tabstexcelfilt<-tabstexcelfilt[tabstexcelfilt$stud==groupNo,]
  tabstdfr<-data.frame(tabstexcelfilt)
  mcss=c()
  mcst=c()
  mcts=c()
  comp=c()
  comp_array=c()
  col_names=c()

  for (i in 1:competencesNo) {
    mcss[i]=as.numeric(mean(tabstdfr[[paste(areaName,"c",i,"ss",competenceType,sep="")]],na.rm=T))
    mcst[i]=as.numeric(mean(tabstdfr[[paste(areaName,"c",i,"st",competenceType,sep="")]],na.rm=T))
  }

  tabstexcelfilt<-tabstexcel[tabstexcel$resp==2,]
  tabstexcelfilt<-tabstexcelfilt[tabstexcelfilt$teach==groupNo,]
  tabstdfr<-data.frame(tabstexcelfilt)

  for (i in 1:competencesNo) {
    mcts[i]=as.numeric(mean(tabstdfr[[paste(areaName,"c",i,"ts",competenceType,sep="")]],na.rm=T))
  }

  for (i in 1:competencesNo) {
    comp[i]<-list(c(mcss[i], mcts[i], mcst[i]))
  }
  
  col_names[1]="Type"
  for (i in 1:competencesNo){
    col_names[i+1]= wrap.labels(competences[i], 5)
  }

    #col_names<-c("Type","C1","C2","C3","C4","C5")
  type<-c("Student perspective of student competence", "Teacher perspective of student competence", "Student perspective of taught competence")
  
  comp_array[1]=type
  for (i in 1:competencesNo) {
    comp_array[i+1]=list(comp[i])
  }
  
  transtexcel<-data.frame(comp_array)
  colnames(transtexcel)<-col_names  
  
  return(transtexcel)
}

# Core wrapping function
wrap.it <- function(x, len)
{ 
  sapply(x, function(y) paste(strwrap(y, len), 
                              collapse = "\n"), 
         USE.NAMES = FALSE)
}


# Call this function with a list or vector
wrap.labels <- function(x, len)
{
  if (is.list(x))
  {
    lapply(x, wrap.it, len)
  } else {
    wrap.it(x, len)
  }
}